(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@babel/runtime/regenerator'), require('@babel/runtime/helpers/defineProperty'), require('@babel/runtime/helpers/asyncToGenerator'), require('@primer-io/checkout-web')) :
  typeof define === 'function' && define.amd ? define(['exports', '@babel/runtime/regenerator', '@babel/runtime/helpers/defineProperty', '@babel/runtime/helpers/asyncToGenerator', '@primer-io/checkout-web'], factory) :
  (global = global || self, factory(global.PrimerSdkVue = {}, global._regeneratorRuntime, global._defineProperty, global._asyncToGenerator, global.Primer));
}(this, (function (exports, _regeneratorRuntime, _defineProperty, _asyncToGenerator, Primer) { 'use strict';

  _regeneratorRuntime = _regeneratorRuntime && Object.prototype.hasOwnProperty.call(_regeneratorRuntime, 'default') ? _regeneratorRuntime['default'] : _regeneratorRuntime;
  _defineProperty = _defineProperty && Object.prototype.hasOwnProperty.call(_defineProperty, 'default') ? _defineProperty['default'] : _defineProperty;
  _asyncToGenerator = _asyncToGenerator && Object.prototype.hasOwnProperty.call(_asyncToGenerator, 'default') ? _asyncToGenerator['default'] : _asyncToGenerator;
  Primer = Primer && Object.prototype.hasOwnProperty.call(Primer, 'default') ? Primer['default'] : Primer;

  var onTokenizeSuccessMixin = {
    props: {
      tokenizeSuccessStatus: {
        type: [Boolean, Error],
        required: false
      },
      tokenizeSuccess: {
        type: Function,
        required: false
      }
    },
    data: function data() {
      return {
        onTokenizeSuccessPromise: null
      };
    },
    watch: {
      tokenizeSuccessStatus: function tokenizeSuccessStatus(_tokenizeSuccessStatus) {
        if (!this.isWaitingForOnTokenizeSuccess()) {
          return;
        }

        if (_tokenizeSuccessStatus === true) {
          this.onTokenizeSuccessPromise.resolve();
          this.clearOnTokenizeSuccess();
        } else if (_tokenizeSuccessStatus instanceof Error) {
          this.onTokenizeSuccessPromise.reject(_tokenizeSuccessStatus);
          this.clearOnTokenizeSuccess();
        }
      }
    },
    methods: {
      isWaitingForOnTokenizeSuccess: function isWaitingForOnTokenizeSuccess() {
        return !!this.onTokenizeSuccessPromise;
      },
      resolveOnTokenizeSuccess: function resolveOnTokenizeSuccess(err) {
        if (!this.isWaitingForOnTokenizeSuccess()) {
          return;
        }

        if (err === null || err === undefined) {
          this.onTokenizeSuccessPromise.resolve();
        } else if (err instanceof Error) {
          this.onTokenizeSuccessPromise.reject(err);
        }

        this.clearOnTokenizeSuccess();
      },
      clearOnTokenizeSuccess: function clearOnTokenizeSuccess() {
        this.onTokenizeSuccessPromise = null;
        this.$emit('tokenize-success-finish');
      },
      onTokenizeSuccess: function onTokenizeSuccess() {
        var _this = this;

        for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
          args[_key] = arguments[_key];
        }

        // Using function props
        if (this.tokenizeSuccess) {
          return this.tokenizeSuccess.apply(this, args);
        } // Promise to return


        var promise = new Promise(function (resolve, reject) {
          _this.onTokenizeSuccessPromise = {
            resolve: resolve,
            reject: reject
          };
        }); // Create callback to pass to event

        var next = function next(err) {
          _this.resolveOnTokenizeSuccess(err);
        };

        this.$emit.apply(this, ['tokenize-success'].concat(args, [next]));
        return promise;
      }
    }
  };

  function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

  function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }
  var script = {
    mixins: [onTokenizeSuccessMixin],
    name: 'PrimerCheckout',
    props: {
      clientToken: {
        type: String,
        required: true
      },
      thirdPartyScriptTimeout: {
        type: Number,
        required: false
      },
      locale: {
        type: String,
        required: false
      },
      customerId: {
        type: String,
        required: false
      },
      countryCode: {
        type: String,
        required: false
      },
      purchaseInfo: {
        type: Object,
        required: false
      },
      threeDSecure: {
        type: Object,
        required: false
      },
      card: {
        type: Object,
        required: false
      },
      paypal: {
        type: Object,
        required: false
      },
      googlePay: {
        type: Object,
        required: false
      },
      applePay: {
        type: Object,
        required: false
      },
      directDebit: {
        type: Object,
        required: false
      },
      transitions: {
        type: Object,
        required: false
      },
      submitButton: {
        type: Object,
        required: false
      }
    },
    data: function data() {
      return {
        primer: null,
        checkout: null
      };
    },
    mounted: function mounted() {
      this.mount();
    },
    methods: {
      mount: function mount() {
        var _this = this;

        return _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee() {
          var primerOptions, checkoutOptions;
          return _regeneratorRuntime.wrap(function _callee$(_context) {
            while (1) {
              switch (_context.prev = _context.next) {
                case 0:
                  if (!_this.primer) {
                    _context.next = 2;
                    break;
                  }

                  return _context.abrupt("return");

                case 2:
                  _this.$emit('loading', true);

                  _context.prev = 3;
                  primerOptions = {
                    credentials: {
                      clientToken: _this.clientToken
                    }
                  };
                  checkoutOptions = {
                    container: _this.$el,
                    locale: _this.locale,
                    customerId: _this.customerId,
                    countryCode: _this.countryCode,
                    purchaseInfo: _this.purchaseInfo,
                    threeDSecure: _this.threeDSecure && _objectSpread(_objectSpread({}, _this.threeDSecure), {}, {
                      onChallengeStart: function onChallengeStart() {
                        for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
                          args[_key] = arguments[_key];
                        }

                        return _this.$emit.apply(_this, ['three-d-secure-challenge-start'].concat(args));
                      },
                      onChallengeEnd: function onChallengeEnd() {
                        for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
                          args[_key2] = arguments[_key2];
                        }

                        return _this.$emit.apply(_this, ['three-d-secure-challenge-end'].concat(args));
                      }
                    }),
                    card: _this.card,
                    paypal: _this.paypal,
                    googlePay: _this.googlePay,
                    applePay: _this.applePay,
                    directDebit: _this.directDebit,
                    transitions: _objectSpread(_objectSpread({}, _this.transitions), {}, {
                      onEnter: function onEnter() {
                        for (var _len3 = arguments.length, args = new Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
                          args[_key3] = arguments[_key3];
                        }

                        return _this.$emit.apply(_this, ['transition-enter'].concat(args));
                      },
                      onEntering: function onEntering() {
                        for (var _len4 = arguments.length, args = new Array(_len4), _key4 = 0; _key4 < _len4; _key4++) {
                          args[_key4] = arguments[_key4];
                        }

                        return _this.$emit.apply(_this, ['transition-entering'].concat(args));
                      },
                      onEntered: function onEntered() {
                        for (var _len5 = arguments.length, args = new Array(_len5), _key5 = 0; _key5 < _len5; _key5++) {
                          args[_key5] = arguments[_key5];
                        }

                        return _this.$emit.apply(_this, ['transition-entered'].concat(args));
                      },
                      onExit: function onExit() {
                        for (var _len6 = arguments.length, args = new Array(_len6), _key6 = 0; _key6 < _len6; _key6++) {
                          args[_key6] = arguments[_key6];
                        }

                        return _this.$emit.apply(_this, ['transition-exit'].concat(args));
                      },
                      onExiting: function onExiting() {
                        for (var _len7 = arguments.length, args = new Array(_len7), _key7 = 0; _key7 < _len7; _key7++) {
                          args[_key7] = arguments[_key7];
                        }

                        return _this.$emit.apply(_this, ['transition-exiting'].concat(args));
                      },
                      onExited: function onExited() {
                        for (var _len8 = arguments.length, args = new Array(_len8), _key8 = 0; _key8 < _len8; _key8++) {
                          args[_key8] = arguments[_key8];
                        }

                        return _this.$emit.apply(_this, ['transition-exited'].concat(args));
                      }
                    }),
                    submitButton: _this.submitButton,
                    onTokenizeStart: function onTokenizeStart() {
                      for (var _len9 = arguments.length, args = new Array(_len9), _key9 = 0; _key9 < _len9; _key9++) {
                        args[_key9] = arguments[_key9];
                      }

                      return _this.$emit.apply(_this, ['tokenize-start'].concat(args));
                    },
                    onTokenizeSuccess: function onTokenizeSuccess() {
                      return _this.onTokenizeSuccess.apply(_this, arguments);
                    },
                    // defined by onTokenizeSuccessMixin
                    onTokenizeError: function onTokenizeError() {
                      for (var _len10 = arguments.length, args = new Array(_len10), _key10 = 0; _key10 < _len10; _key10++) {
                        args[_key10] = arguments[_key10];
                      }

                      return _this.$emit.apply(_this, ['tokenize-error'].concat(args));
                    },
                    onTokenizeProgress: function onTokenizeProgress() {
                      for (var _len11 = arguments.length, args = new Array(_len11), _key11 = 0; _key11 < _len11; _key11++) {
                        args[_key11] = arguments[_key11];
                      }

                      return _this.$emit.apply(_this, ['tokenize-progress'].concat(args));
                    }
                  };
                  _this.primer = new Primer(primerOptions);
                  _context.next = 9;
                  return _this.primer.checkout(checkoutOptions);

                case 9:
                  _this.checkout = _context.sent;
                  _context.next = 16;
                  break;

                case 12:
                  _context.prev = 12;
                  _context.t0 = _context["catch"](3);
                  console.error(_context.t0);

                  _this.$emit('loading-error', _context.t0);

                case 16:
                  _this.$emit('loading', false);

                case 17:
                case "end":
                  return _context.stop();
              }
            }
          }, _callee, null, [[3, 12]]);
        }))();
      }
    },
    render: function render(h) {
      return h('div');
    }
  };

  function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier
  /* server only */
  , shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
      createInjectorSSR = createInjector;
      createInjector = shadowMode;
      shadowMode = false;
    } // Vue.extend constructor export interop.


    var options = typeof script === 'function' ? script.options : script; // render functions

    if (template && template.render) {
      options.render = template.render;
      options.staticRenderFns = template.staticRenderFns;
      options._compiled = true; // functional template

      if (isFunctionalTemplate) {
        options.functional = true;
      }
    } // scopedId


    if (scopeId) {
      options._scopeId = scopeId;
    }

    var hook;

    if (moduleIdentifier) {
      // server build
      hook = function hook(context) {
        // 2.3 injection
        context = context || // cached call
        this.$vnode && this.$vnode.ssrContext || // stateful
        this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext; // functional
        // 2.2 with runInNewContext: true

        if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
          context = __VUE_SSR_CONTEXT__;
        } // inject component styles


        if (style) {
          style.call(this, createInjectorSSR(context));
        } // register component module identifier for async chunk inference


        if (context && context._registeredComponents) {
          context._registeredComponents.add(moduleIdentifier);
        }
      }; // used by ssr in case component is cached and beforeCreate
      // never gets called


      options._ssrRegister = hook;
    } else if (style) {
      hook = shadowMode ? function () {
        style.call(this, createInjectorShadow(this.$root.$options.shadowRoot));
      } : function (context) {
        style.call(this, createInjector(context));
      };
    }

    if (hook) {
      if (options.functional) {
        // register for functional component in vue file
        var originalRender = options.render;

        options.render = function renderWithStyleInjection(h, context) {
          hook.call(context);
          return originalRender(h, context);
        };
      } else {
        // inject component registration as beforeCreate hook
        var existing = options.beforeCreate;
        options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
      }
    }

    return script;
  }

  var normalizeComponent_1 = normalizeComponent;

  var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());

  function createInjector(context) {
    return function (id, style) {
      return addStyle(id, style);
    };
  }

  var HEAD = document.head || document.getElementsByTagName('head')[0];
  var styles = {};

  function addStyle(id, css) {
    var group = isOldIE ? css.media || 'default' : id;
    var style = styles[group] || (styles[group] = {
      ids: new Set(),
      styles: []
    });

    if (!style.ids.has(id)) {
      style.ids.add(id);
      var code = css.source;

      if (css.map) {
        // https://developer.chrome.com/devtools/docs/javascript-debugging
        // this makes source maps inside style tags work properly in Chrome
        code += '\n/*# sourceURL=' + css.map.sources[0] + ' */'; // http://stackoverflow.com/a/26603875

        code += '\n/*# sourceMappingURL=data:application/json;base64,' + btoa(unescape(encodeURIComponent(JSON.stringify(css.map)))) + ' */';
      }

      if (!style.element) {
        style.element = document.createElement('style');
        style.element.type = 'text/css';
        if (css.media) style.element.setAttribute('media', css.media);
        HEAD.appendChild(style.element);
      }

      if ('styleSheet' in style.element) {
        style.styles.push(code);
        style.element.styleSheet.cssText = style.styles.filter(Boolean).join('\n');
      } else {
        var index = style.ids.size - 1;
        var textNode = document.createTextNode(code);
        var nodes = style.element.childNodes;
        if (nodes[index]) style.element.removeChild(nodes[index]);
        if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
      }
    }
  }

  var browser = createInjector;

  /* script */
  var __vue_script__ = script;
  /* template */

  var __vue_render__ = function __vue_render__() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c("div");
  };

  var __vue_staticRenderFns__ = [];
  __vue_render__._withStripped = true;
  /* style */

  var __vue_inject_styles__ = function __vue_inject_styles__(inject) {
    if (!inject) return;
    inject("data-v-400cffba_0", {
      source: ".PrimerCheckout input{font-family:inherit;outline-color:#3447f4}.PrimerCheckout input::-moz-placeholder{color:#bfbfbf}.PrimerCheckout input:-ms-input-placeholder{color:#bfbfbf}.PrimerCheckout input::placeholder{color:#bfbfbf}.PrimerCheckout *[hidden=true]{display:none}.PrimerCheckout dialog{margin:0;padding:0}@-webkit-keyframes PrimerCheckout__loadingSpinner{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}@keyframes PrimerCheckout__loadingSpinner{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}@-webkit-keyframes blink{0%,100%{opacity:1}50%{opacity:.5}}@keyframes blink{0%,100%{opacity:1}50%{opacity:.5}}@-webkit-keyframes rotate{100%{transform:rotate(360deg)}}@keyframes rotate{100%{transform:rotate(360deg)}}@-webkit-keyframes dash{0%{stroke-dasharray:1,150;stroke-dashoffset:0}100%{stroke-dasharray:90,150;stroke-dashoffset:-35}100%{stroke-dasharray:90,150;stroke-dashoffset:-124}}@keyframes dash{0%{stroke-dasharray:1,150;stroke-dashoffset:0}100%{stroke-dasharray:90,150;stroke-dashoffset:-35}100%{stroke-dasharray:90,150;stroke-dashoffset:-124}}.PrimerCheckout{box-sizing:border-box;background-color:transparent;position:relative;display:flex;flex-direction:column}.PrimerCheckout div{box-sizing:border-box}.PrimerCheckout.PrimerCheckout--loading .PrimerCheckout__submitButton{background-color:#bdbdbd;box-shadow:0px 0px 0px rgba(0,0,0,0);pointer-events:none}.PrimerCheckout.PrimerCheckout--loading .PrimerCheckout__submitButton .PrimerCheckout__loadingRing{opacity:1;transform:translate(calc(0% - 16px), -50%)}.PrimerCheckout .PrimerCheckout__submitButton{justify-self:flex-end;flex:0 0 auto}.PrimerCheckout__submitButtonContainer{position:relative;transition:all 300ms cubic-bezier(0.4, 0, 0.2, 1);overflow:hidden;height:0px;opacity:0}.PrimerCheckout__submitButtonContainer.PrimerCheckout--entering,.PrimerCheckout__submitButtonContainer.PrimerCheckout--entered{height:50px;opacity:1}.PrimerCheckout__submitButton{display:block;width:100%;padding:0;margin:0;border:none;background:none;cursor:pointer;font-family:inherit;outline-color:#3447f4;cursor:pointer;flex:0 0 auto;width:100%;height:50px;z-index:1;display:flex;align-items:center;justify-content:center;padding:0px 12px;outline:none;background-color:#3447f4;border:none;border-radius:6px;text-align:center;color:#fff;font-size:16px;transition:all 300ms cubic-bezier(0.4, 0, 0.2, 1)}.PrimerCheckout__submitButton:disabled{cursor:auto}.PrimerCheckout__submitButton:not(:disabled){box-shadow:0px 2px 24px rgba(0,0,0,.25)}.PrimerCheckout__submitButton:not(:disabled):hover{opacity:.75}.PrimerCheckout__submitButton:disabled{background-color:#bdbdbd}.PrimerCheckout__submitButton .PrimerCheckout__loadingRing{position:absolute;right:0px;top:50%;width:20px;height:20px;transition:all 300ms cubic-bezier(0.4, 0, 0.2, 1);transform:translate(100%, -50%);opacity:0}.PrimerCheckout__scene{display:flex;flex-direction:column;position:relative;left:0;top:0;opacity:1}.PrimerCheckout__spinner{display:grid;place-content:center}.PrimerCheckout__spinner .spinner{-webkit-animation:rotate 1.2s linear infinite;animation:rotate 1.2s linear infinite;z-index:2;height:32px;width:32px;margin:24px 0px}.PrimerCheckout__spinner .spinner .path{stroke:#3447f4;stroke-linecap:round;-webkit-animation:dash 1.5s ease-in-out infinite;animation:dash 1.5s ease-in-out infinite}.PrimerCheckout__scene--3dsModal{position:fixed;top:0px;left:0px;right:0px;bottom:0px;z-index:101;width:100%;height:100% !important;display:grid;place-content:center;background-color:rgba(0,0,0,.2);transition:all 500ms cubic-bezier(0.4, 0, 0.2, 1);opacity:0}.PrimerCheckout__scene--3dsModal>.PrimerCheckout__modalBody{transition:all 500ms cubic-bezier(0.4, 0, 0.2, 1);opacity:0;transform:translateY(100vh)}.PrimerCheckout__scene--3dsModal.PrimerCheckout--enter{opacity:1}.PrimerCheckout__scene--3dsModal.PrimerCheckout--enter>.PrimerCheckout__modalBody{opacity:1;transform:translateY(0vh)}.PrimerCheckout__modalBody{display:grid;place-content:center;background-color:#fff;border-radius:3px;position:relative;box-shadow:1px 1px 5px 3px rgba(0,0,0,.05);overflow:hidden}.PrimerCheckout__modalBody>iframe{position:absolute;left:0px;top:0px;right:0px;bottom:0px;width:100%;height:100%}.PrimerCheckout__loadingRing>img{width:100%;height:100%;-webkit-animation:PrimerCheckout__loadingSpinner 1.2s linear infinite;animation:PrimerCheckout__loadingSpinner 1.2s linear infinite}.PrimerCheckout__title{padding:0;margin:0;font-size:1.15rem;color:#262626;font-weight:500}.PrimerCheckout__label{font-size:1rem;color:#262626}.PrimerCheckout__label.PrimerCheckout__label--muted{color:#767676}.PrimerCheckout__label.PrimerCheckout__label--primary{color:#3447f4}.PrimerCheckout__label.PrimerCheckout__label--size-sm{font-size:.75rem}.PrimerCheckout__label.PrimerCheckout__label--size-xs{font-size:.625rem}.PrimerCheckout__label.PrimerCheckout__label--link{color:#3447f4;cursor:pointer}.PrimerCheckout__helperText{color:#767676;font-size:.75rem}.PrimerCheckout__sceneElement{flex:0 0 auto}.PrimerCheckout__sceneElement:not(:last-child){margin-bottom:32px}.PrimerCheckout__textButton{display:block;width:100%;padding:0;margin:0;border:none;background:none;cursor:pointer;font-family:inherit;outline-color:#3447f4;cursor:pointer;transition:background-color 100ms ease;text-align:center;color:#3447f4}.PrimerCheckout__textButton:disabled{cursor:auto}.PrimerCheckout__divider{display:flex;flex-direction:row;align-items:center;transition:all cubic-bezier(0.4, 0, 0.2, 1) 300ms}.PrimerCheckout__divider>.PrimerCheckout__label{display:inline-block;margin:0px 10px}.PrimerCheckout__divider>.PrimerCheckout__dividerLineSegment{background-color:#e0e0e0;flex:1 1 auto;height:1px}.PrimerCheckout__divider--hidden{transform:translateY(-20px);opacity:0}.PrimerCheckout__apmButton{position:relative;display:flex;align-items:center;justify-content:center;height:40px;box-shadow:0px 0px 10px rgba(0,0,0,0);transition:all 300ms cubic-bezier(0.4, 0, 0.2, 1)}.PrimerCheckout__apmButton+.PrimerCheckout__apmButton{margin-top:8px}.PrimerCheckout__apmButton>.paypal-buttons{transition:none !important}.PrimerCheckout__apmButton>.gpay-card-info-container.long,.PrimerCheckout__apmButton>.gpay-button.long{width:100%}.PrimerCheckout__textButton{display:block;width:100%;padding:0;margin:0;border:none;background:none;cursor:pointer;font-family:inherit;outline-color:#3447f4;background:none;border:none;padding:0;margin:0}.PrimerCheckout__textButton:disabled{cursor:auto}.PrimerCheckout__textDivider{display:flex;align-items:center;text-align:center}.PrimerCheckout__textDivider.PrimerCheckout__textButton{transition:all cubic-bezier(0.4, 0, 0.2, 1) 300ms}.PrimerCheckout__textDivider.PrimerCheckout__textButton>*{transition:all cubic-bezier(0.4, 0, 0.2, 1) 300ms}.PrimerCheckout__textDivider.PrimerCheckout__textButton:not(:disabled):hover>*{transform:scale(1.02)}.PrimerCheckout__textDivider::before,.PrimerCheckout__textDivider::after{display:block;content:\"\";flex:1;height:1px;background:#e0e0e0;min-width:16px}.PrimerCheckout__textDivider::before{margin-right:8px}@media(max-width: 600px){.PrimerCheckout__textDivider::before{margin-right:2px}}.PrimerCheckout__textDivider::after{margin-left:8px}@media(max-width: 600px){.PrimerCheckout__textDivider::after{margin-left:2px}}.PrimerCheckout__form{display:flex;flex-direction:column}.PrimerCheckout__formHeader{display:flex;flex-direction:row;justify-content:space-between;align-items:center;margin-bottom:32px}.PrimerCheckout__formField{position:relative}.PrimerCheckout__formField+.PrimerCheckout__formField{margin-top:24px}.PrimerCheckout__formField.PrimerCheckout__formField--dual{display:flex;flex-direction:row;justify-content:space-between}.PrimerCheckout__formField.PrimerCheckout__formField--dual>.PrimerCheckout__formField{flex:0 1 calc(50% - 8px)}.PrimerCheckout__formField.PrimerCheckout__formField--dual>.PrimerCheckout__formField{margin-top:0px}@media(max-width: 600px){.PrimerCheckout__formField.PrimerCheckout__formField--dual{display:flex;flex-direction:column}.PrimerCheckout__formField.PrimerCheckout__formField--dual>.PrimerCheckout__formField+.PrimerCheckout__formField{margin-top:inherit}}.PrimerCheckout__formField.PrimerCheckout__formField--orientation-horizontal{display:flex;flex-direction:row;align-items:center}.PrimerCheckout__formField>.PrimerCheckout__label{height:24px;line-height:24px;display:inline-block;margin-bottom:2px;margin-left:1px}.PrimerCheckout__formField .PrimerCheckout__label+.PrimerCheckout__formInput{margin-top:2px}.PrimerCheckout__formField .PrimerCheckout__checkbox+.PrimerCheckout__label{cursor:pointer;margin-left:8px}.PrimerCheckout__helperText{position:relative;margin-top:2px;text-align:right;z-index:0;transition:all cubic-bezier(0.4, 0, 0.2, 1) 300ms;transform:translateY(-20px);opacity:0}.PrimerCheckout__helperText.PrimerCheckout--enter{transform:translateY(-20px);opacity:0;-webkit-animation:none;animation:none}.PrimerCheckout__helperText.PrimerCheckout--entering{transform:translateY(0px);opacity:1}.PrimerCheckout__helperText.PrimerCheckout--entered{-webkit-animation:blink 2s infinite;animation:blink 2s infinite;transform:translateY(0px)}.PrimerCheckout__helperText.PrimerCheckout--exit{opacity:1;-webkit-animation:none;animation:none}.PrimerCheckout__helperText.PrimerCheckout--exiting{opacity:0;transform:translateY(-20px)}.PrimerCheckout__formFieldTitle{display:flex;align-items:center}.PrimerCheckout--error .PrimerCheckout__formInput{border-color:#ea4335}.PrimerCheckout__helperText--error{color:#ea4335}.PrimerCheckout__formInputs .PrimerCheckout__formInput{position:relative;z-index:0;border-radius:0px}.PrimerCheckout__formInputs .PrimerCheckout__formInput:focus,.PrimerCheckout__formInputs .PrimerCheckout__formInput:hover{z-index:1}.PrimerCheckout__formInputs--vertical .PrimerCheckout__formInput+.PrimerCheckout__formInput{margin-top:-1px}.PrimerCheckout__formInputs--vertical>*:first-child{border-top-left-radius:6px;border-top-right-radius:6px}.PrimerCheckout__formInputs--vertical>*:last-child{border-bottom-left-radius:6px;border-bottom-right-radius:6px}.PrimerCheckout__formInputs--vertical>.PrimerCheckout__formInputs--horizontal:last-child>*:first-child{border-bottom-left-radius:6px}.PrimerCheckout__formInputs--vertical>.PrimerCheckout__formInputs--horizontal:last-child>*:last-child{border-bottom-right-radius:6px}.PrimerCheckout__formInputs--horizontal{display:flex;flex-direction:row}.PrimerCheckout__formInputs--horizontal .PrimerCheckout__formInput{margin-top:-1px}.PrimerCheckout__formInputs--horizontal .PrimerCheckout__formInput+.PrimerCheckout__formInput{margin-left:-1px}.PrimerCheckout__formInput{border:1px solid #e0e0e0;border-radius:2px;transition:box-shadow 100ms ease,border-color 100ms ease;-webkit-appearance:none;font-size:1rem;background-color:#fff;display:block;position:relative;z-index:1;padding:8px 12px;height:40px;line-height:24px;width:100%}.PrimerCheckout__formInput:focus,.PrimerCheckout__formInput.PrimerCheckout--focused,.PrimerCheckout__formInput.PrimerCheckout--selected{border-color:transparent;box-shadow:0px 0px 0px 2px #3447f4}.PrimerCheckout__formInput+.PrimerCheckout__formInput{margin-top:16px}.PrimerCheckout__separator{margin:32px 0px;height:1px;background:#e0e0e0}.PrimerCheckout__checkbox{-webkit-appearance:none;font-size:1rem;cursor:pointer;margin:0px;padding:8px;display:inline-block;position:relative;color:#fff;border-radius:4px;border:1px solid #bdbdbd}.PrimerCheckout__checkbox:checked{color:#fff;background-color:#3447f4;border-color:#3447f4}.PrimerCheckout__checkbox::after{content:\"✓\";font-size:16px;position:absolute;top:50%;left:55%;transform:translate(-50%, -50%)}.PrimerCheckout__cardTypes{display:flex;flex-direction:row;position:absolute;top:50%;transform:translateY(-50%);pointer-events:none;right:6px;height:100%;padding:11px 0px}@media(max-width: 600px){.PrimerCheckout__cardTypes{padding:13px 0px}}.PrimerCheckout__cardType{width:24px;transition:all 300ms cubic-bezier(0.4, 0, 0.2, 1),opacity 300ms cubic-bezier(0.4, 0, 0.2, 1);-o-object-fit:contain;object-fit:contain;-o-object-position:center;object-position:center}@media(max-width: 600px){.PrimerCheckout__cardType{width:16px}}.PrimerCheckout__cardType+.PrimerCheckout__cardType{margin-left:5px}@media(max-width: 600px){.PrimerCheckout__cardType+.PrimerCheckout__cardType{margin-left:3px}}.PrimerCheckout__cardType.PrimerCheckout--hidden{display:inline-block !important;width:0px;margin-left:0px;opacity:0}.PrimerCheckout__savedPaymentMethods{display:flex;flex-direction:column}.PrimerCheckout__savedPaymentMethods__title{display:flex;flex-direction:row;align-items:center;margin-bottom:15px}.PrimerCheckout__savedPaymentMethodContainer{transition:height cubic-bezier(0.4, 0, 0.2, 1) 300ms,transform cubic-bezier(0.4, 0, 0.2, 1) 300ms,opacity cubic-bezier(0.4, 0, 0.2, 1) 200ms;transform-origin:top center}.PrimerCheckout__savedPaymentMethodContainer--exiting{opacity:0;transform:translateY(-30px) scaleY(0.9);height:0px}.PrimerCheckout__savedPaymentMethodContainer:not(:last-child) .PrimerCheckout__savedPaymentMethod{margin-bottom:16px}.PrimerCheckout__savedPaymentMethod{display:block;width:100%;padding:0;margin:0;border:none;background:none;cursor:pointer;font-family:inherit;outline-color:#3447f4;border:1px solid #e0e0e0;border-radius:2px;display:flex;flex-direction:row;transition:box-shadow 100ms ease,border-color 100ms ease;cursor:pointer;transition:background-color 100ms ease;transition:background-color 100ms ease;padding:8px 16px;align-items:center;color:#3c4043;background-color:#fff;position:relative}.PrimerCheckout__savedPaymentMethod:disabled{cursor:auto}.PrimerCheckout__savedPaymentMethod:focus,.PrimerCheckout__savedPaymentMethod.PrimerCheckout--focused,.PrimerCheckout__savedPaymentMethod.PrimerCheckout--selected{border-color:transparent;box-shadow:0px 0px 0px 2px #3447f4}.PrimerCheckout__savedPaymentMethod:hover{background-color:#eaf1ff}.PrimerCheckout__savedPaymentMethod .PrimerCheckout__savedPaymentMethodContent{display:flex;flex-direction:row;justify-content:space-between;align-items:center;flex:1 1 auto;overflow:hidden;text-overflow:ellipsis}@media(max-width: 600px){.PrimerCheckout__savedPaymentMethod .PrimerCheckout__savedPaymentMethodContent{display:flex;flex-direction:column;align-items:flex-start}.PrimerCheckout__savedPaymentMethod .PrimerCheckout__savedPaymentMethodContent .PrimerCheckout__savedPaymentMethodLabel{margin-left:0px;width:100%;text-align:left}}.PrimerCheckout__savedPaymentMethod .PrimerCheckout__savedPaymentMethodIcon{display:flex;flex-direction:column;flex:0 0 auto;width:30px;max-width:30px;margin-right:24px;transition:width 100ms ease}.PrimerCheckout__savedPaymentMethod .PrimerCheckout__savedPaymentMethodLabel{font-size:17px;margin-left:.5em;white-space:pre;overflow:hidden;text-overflow:ellipsis}.PrimerCheckout__savedPaymentMethod.PrimerCheckout--selected .PrimerCheckout__label{color:#3447f4}.PrimerCheckout__savedPaymentMethodActions{margin-left:auto;font-size:.75rem}.PrimerCheckout__dropDownMenuContainer{position:absolute;z-index:1;right:0px;top:calc(28px + 4px);min-width:300px}.PrimerCheckout__dropDownMenu{border:1px solid #e0e0e0;border-radius:2px;display:flex;flex-direction:column;position:absolute;z-index:1000;top:0px;right:0px;width:100%;background-color:#fff;box-shadow:0px 1px 10px rgba(0,0,0,.1),0px 0px 20px rgba(52,71,244,.1);opacity:0;transform-origin:top center;transform:translateY(-10px) scaleY(0.9);transition:all cubic-bezier(0.4, 0, 0.2, 1) 300ms;pointer-events:none}.PrimerCheckout__dropDownMenu>.PrimerCheckout__label{padding:12px 12px 6px}.PrimerCheckout__dropDownMenu--enter{pointer-events:all;opacity:1;transform:translateY(0px) scaleY(1)}.PrimerCheckout__dropDownMenuItem{transition:background-color 100ms ease;padding:6px 12px}.PrimerCheckout__dropDownMenuItem:hover{background-color:#eaf1ff}.PrimerCheckout__dropDownMenuItem>.PrimerCheckout__label{white-space:nowrap;color:#3447f4}.PrimerCheckout__editButton{display:block;width:100%;padding:0;margin:0;border:none;background:none;cursor:pointer;font-family:inherit;outline-color:#3447f4;width:28px;height:28px;transform:scale(1);transform-origin:bottom center;transition:all cubic-bezier(0.4, 0, 0.2, 1) 300ms}.PrimerCheckout__editButton:disabled{cursor:auto}.PrimerCheckout__editButton:hover{opacity:.7}.PrimerCheckout__editButton>img{width:100%;height:100%}.PrimerCheckout__editButton--toggle{transform:scale(1.2)}.PrimerCheckout__editButton--hidden{opacity:0;transform:translateX(20px);pointer-events:none}.PrimerCheckout__paymentMethodDropDownMenuItem{margin:0px 16px;transition:all cubic-bezier(0.4, 0, 0.2, 1) 300ms}.PrimerCheckout__paymentMethodDropDownMenuItem:not(:last-child){border-bottom:1px solid #e0e0e0}.PrimerCheckout__paymentMethodDropDownMenuItem--disabled{pointer-events:none;opacity:.3}.PrimerCheckout__paymentMethodDropDownMenuItem__content{display:flex;flex-direction:row;align-items:center;padding:16px 0px}.PrimerCheckout__paymentMethodDropDownMenuItem__icon{width:30px;margin-right:8px}.PrimerCheckout__paymentMethodDropDownMenuItem__label{margin-right:8px;white-space:nowrap;font-size:.75rem}.PrimerCheckout__paymentMethodDropDownMenuItem__buttons{margin-left:auto}.PrimerCheckout__paymentMethodDropDownMenuItem__buttons>button{font-size:.75rem}.PrimerCheckout__paymentMethodDropDownMenuItem__confirmationContainer{pointer-events:none;position:relative;height:0;padding-bottom:0px;opacity:0;transform:translateY(-20px);transition:all cubic-bezier(0.4, 0, 0.2, 1) 300ms,opacity cubic-bezier(0.4, 0, 0.2, 1) 200ms}.PrimerCheckout__paymentMethodDropDownMenuItem__confirmationContainer--enter{pointer-events:all;transform:translateY(0px);height:calc(40px + 16px);opacity:1;padding-bottom:16px}.PrimerCheckout__deleteButton{display:block;width:100%;padding:0;margin:0;border:none;background:none;cursor:pointer;font-family:inherit;outline-color:#3447f4;color:#ea4335}.PrimerCheckout__deleteButton:disabled{cursor:auto}.PrimerCheckout__deleteConfirmation{height:30px}.PrimerCheckout__confirmButton{display:block;width:100%;padding:0;margin:0;border:none;background:none;cursor:pointer;font-family:inherit;outline-color:#3447f4;display:grid;width:100%;place-items:center;height:40px;border:1px solid #3447f4;border-radius:4px;text-align:center;color:#3447f4;font-size:.875rem}.PrimerCheckout__confirmButton:disabled{cursor:auto}.PrimerCheckout__emptyText{transform:translateY(-20px);opacity:0;transition:all cubic-bezier(0.4, 0, 0.2, 1) 300ms}.PrimerCheckout__emptyText--visible{transform:translateY(0px);opacity:1}.PrimerCheckout__directDebitButton{display:block;width:100%;padding:0;margin:0;border:none;background:none;cursor:pointer;font-family:inherit;outline-color:#3447f4;border:1px solid #e0e0e0;border-radius:2px;display:grid;place-content:center;cursor:pointer;width:100%;height:100%;background-color:#fff}.PrimerCheckout__directDebitButton:disabled{cursor:auto}.PrimerCheckout__directDebitButton:hover{opacity:.7}.PrimerCheckout__directDebitButton>img{margin:auto;height:20px}.PrimerCheckout__mandateItems{margin-bottom:48px !important}.PrimerCheckout__mandateItem{display:flex;flex-direction:row}.PrimerCheckout__mandateItem>img{width:20px;height:20px;flex:0 0 20px;margin:0px 10px}.PrimerCheckout__mandateDetail{display:flex;flex-direction:column}.PrimerCheckout__mandateDetail>.PrimerCheckout__label:first-of-type{margin-bottom:2px;font-weight:500}.PrimerCheckout__backButton{display:block;width:100%;padding:0;margin:0;border:none;background:none;cursor:pointer;font-family:inherit;outline-color:#3447f4;width:auto;z-index:1;padding:8px;margin:-8px}.PrimerCheckout__backButton:disabled{cursor:auto}#primer-checkout-small-print{transition:all 500ms cubic-bezier(0.4, 0, 0.2, 1);margin-bottom:0}#primer-checkout-small-print.PrimerCheckout--enter{opacity:0;margin-top:0em}#primer-checkout-small-print.PrimerCheckout--entering,#primer-checkout-small-print.PrimerCheckout--entered{opacity:1;margin-top:1em}#primer-checkout-small-print.PrimerCheckout--exit{opacity:0;margin-top:0em}#primer-checkout-dd-creditor-details{border-top:1px solid #e0e0e0;border-bottom:1px solid #e0e0e0;margin:0;padding:16px 0px}#primer-checkout-scene-vault{padding-bottom:32px}#primer-checkout-scene-direct-debit-form{padding-bottom:32px}#primer-checkout-scene-direct-debit-mandate{padding-bottom:24px}#primer-checkout-vault-methods{opacity:1;transform-origin:top center;transform:translateY(0px);transition:all 500ms cubic-bezier(0.4, 0, 0.2, 1)}#primer-checkout-vault-methods.PrimerCheckout--exit{opacity:0;transform:translateY(-100px)}#primer-checkout-other-payment-methods{overflow:hidden;height:0px;opacity:0;transition:all 500ms cubic-bezier(0.4, 0, 0.2, 1)}#primer-checkout-other-payment-methods>*:last-child{height:32px}#primer-checkout-other-payment-methods.PrimerCheckout--entering,#primer-checkout-other-payment-methods.PrimerCheckout--entered{opacity:1}#primer-checkout-scene-loading{height:100px}.PrimerCheckout--hidden{display:none !important}.PrimerCheckout--exited{display:none}.PrimerCheckout--centered{text-align:center}",
      map: undefined,
      media: undefined
    });
  };
  /* scoped */


  var __vue_scope_id__ = undefined;
  /* module identifier */

  var __vue_module_identifier__ = undefined;
  /* functional template */

  var __vue_is_functional_template__ = false;
  /* style inject SSR */

  var Component = normalizeComponent_1({
    render: __vue_render__,
    staticRenderFns: __vue_staticRenderFns__
  }, __vue_inject_styles__, __vue_script__, __vue_scope_id__, __vue_is_functional_template__, __vue_module_identifier__, browser, undefined);

  // Import vue component
  // the same plugin more than once,
  // so calling it multiple times on the same plugin
  // will install the plugin only once

  Component.install = function (Vue) {
    Vue.component(Component.name, Component);
  }; // To auto-install when vue is found


  var GlobalVue = null;

  if (typeof window !== 'undefined') {
    GlobalVue = window.Vue;
  } else if (typeof global !== 'undefined') {
    GlobalVue = global.Vue;
  }

  if (GlobalVue) {
    GlobalVue.use(Component);
  } // To allow use as module (npm/webpack/etc.) export component
  // also be used as directives, etc. - eg. import { RollupDemoDirective } from 'rollup-demo';
  // export const RollupDemoDirective = component;

  exports.default = Component;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
